curl --request GET \
--url https://api.staging.payrails.io/auth/sso/connections \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.staging.payrails.io/auth/sso/connections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.staging.payrails.io/auth/sso/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "88c9db51-4dbf-4ee0-9a9c-1f9fd2f6d0ef",
"reference": "saml-connection-123",
"type": "SAML",
"status": "enabled",
"metadata": {
"saml": {
"samlMetadataURL": "https://sso.okta.com/app/exk123/sso/saml/metadata",
"rawSamlMetadataXMLString": "<xml>...</xml>"
}
},
"name": "payrails-saml-okta",
"displayName": "payrails-saml-okta",
"provider": "okta",
"createdAt": "2024-07-12T10:23:45Z",
"updatedAt": "2024-07-12T10:35:02Z"
}
],
"links": {
"self": "/auth/sso/connections?page[size]=10",
"next": "/auth/sso/connections?page[after]=eyJ0IjoiMjAyNC0wNy0xMlQxMDoyMzo0NVoiLCJpIjoiODhjOWRiNTEtNGRiZi00ZWUwLTlhOWMtMWY5ZmQyZjZkMGVmIn0=",
"first": "/auth/sso/connections?page[size]=10",
"last": "/auth/sso/connections?page[before]=eyJ0IjoiMjAyNC0wNy0xMVQxNzo0NTo1MFoiLCJpIjoiMDAwMDAwMDAtMDAwMC0wMDAwLTAwMDAtMDAwMDAwMDAwMDAwIn0="
}
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.malformed",
"detail": "The request has malformed syntax",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestmalformed"
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.unauthorized",
"detail": "The request lacks necessary credentials to perform the specified action",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestunauthorized"
}
]
}{
"errors": [
{
"id": "e7db22b3-914e-4975-928e-9edfb0885bea",
"code": "request.forbidden",
"detail": "The request credentials lack the required permissions to perform the specified action",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestforbidden"
}
]
}{
"errors": [
{
"id": "673f020f-5435-4408-b7ab-0cdabfc51ed6",
"title": "Not Acceptable.",
"detail": "Your request doesn't specify the API version. Your request `Content-Type` header MUST point to an existing API version.",
"code": ""
}
]
}{
"errors": [
{
"id": "07a1d642-dbf5-47d3-8563-700514b38e46",
"title": "Unsupported Media Type.",
"detail": "The request header `Content-Type: application/json` is not supported. All requests content type headers MUST be set to `application/json`.",
"code": ""
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.rate-limit",
"detail": "Too many requests",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestrate-limit"
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "internal",
"detail": "An internal error occurred",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#internal"
}
]
}List SSO connections
Retrieve SSO identity provider connections using optional filters and cursor-based pagination.
Authorizations
You can use an OAuth2 JWT bearer token in the Authorization header of your API requests for supported endpoints: Authorization: Bearer <YOUR_JWT_HERE>.
These tokens are valid for 10 minutes and can be requested via the access token endpoint endpoint.
Query Parameters
Filter by connection ID (comma-separated UUID values).
Filter by the downstream provider reference.
Filter by connection type.
SAML Filter by connection lifecycle status.
enabled, disabled Filter by configured SSO provider key.
auth0, jumpcloud, keycloak, microsoft, okta Search collection items from that cursor. Cursor for paging results.
Search collection items after that cursor. Cursor for paging results.
Search collection items before that cursor. Cursor for paging results.
Length of the collection to search.
Response
Success.
Hide child attributes
Hide child attributes
Unique identifier of the SSO connection.
Identifier assigned by the downstream identity provider.
Identity provider connection type.
SAML Lifecycle status of the connection.
enabled, disabled Internal name assigned to the connection.
Display label returned to clients initiating SSO.
Allowed/Supported SSO providers.
auth0, jumpcloud, keycloak, microsoft, okta ISO-8601 timestamp when the connection was created.
ISO-8601 timestamp when the connection was last updated.